[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResourceWriter.GetTree

Gets the internal resource tree of a TResources object

## Declaration

Source position: resource.pp line 309

`protected function TAbstractResourceWriter.GetTree(`
`aResources: TResources`
`):TObject;`

## Arguments

`aResources` |  | The TResources object whose tree must be returned

## Function result

The resource tree. It is an instance of TRootResTreeNode.

## Description

This protected method can be used by descendents of TAbstractResourceWriter to obtain the internal resource tree used by a TResources object. The internal resource tree is an instance of TRootResTreeNode.

Some resource writers need to order resources with a tree structure before writing them to a file. Instead of doing this work themselves, they can use the already-ordered internal resource tree of the TResources object they must write.

## See also

TRootResTreeNode |  | The root node in a resource tree